#
# Makefile for ALSA
# Copyright (c) 1999 by Jaroslav Kysela <perex@suse.cz>
#

EXTRA_CFLAGS := -I../../include

SUB_DIRS     :=
MOD_SUB_DIRS :=
ALL_SUB_DIRS :=

L_TARGET     := snd_cards_hal2.a
M_OBJS	     :=
L_OBJS       :=
LX_OBJS      :=
MIX_OBJS     :=

ifeq ($(CONFIG_SND_CARD_HAL2),y)
  L_OBJS += card-hal2.o
else
  ifeq ($(CONFIG_SND_CARD_HAL2),m)
    M_OBJS += snd-card-hal2.o
  endif
endif

include $(TOPDIR)/Rules.make

snd-card-hal2.o: card-hal2.o
	$(LD) $(LD_RFLAG) -r -o $@ card-hal2.o
